Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ListenersDocument.Listeners

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ListenersDocumentImpl.ListenersImpl

Enclosing interface:
  ListenersDocument

    public static interface ListenersDocument.Listeners

extends org.apache.xmlbeans.XmlObject

An XML listeners(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ListenersDocument.Listeners.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Listener` | `addNewListener()` Appends and returns a new empty value (as xml) as the last "listener" element
`Listener[]` | `getListenerArray()` Deprecated.
`Listener` | `getListenerArray(int i)` Gets ith "listener" element
`java.util.List<Listener>` | `getListenerList()` Gets a List of "listener" elements
`Listener` | `insertNewListener(int i)` Inserts and returns a new empty value (as xml) as the ith "listener" element
`void` | `removeListener(int i)` Removes the ith "listener" element
`void` | `setListenerArray(int i, Listener listener)` Sets ith "listener" element
`void` | `setListenerArray(Listener[] listenerArray)` Sets array of all "listener" element
`int` | `sizeOfListenerArray()` Returns number of "listener" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getListenerList

    java.util.List<Listener> getListenerList()

  Gets a List of "listener" elements

### getListenerArray

    Listener[] getListenerArray()

  Deprecated.

  Gets array of all "listener" elements

### getListenerArray

    Listener getListenerArray(int i)

  Gets ith "listener" element

### sizeOfListenerArray

    int sizeOfListenerArray()

  Returns number of "listener" element

### setListenerArray

    void setListenerArray(Listener[] listenerArray)

  Sets array of all "listener" element

### setListenerArray

    void setListenerArray(int i,
                          Listener listener)

  Sets ith "listener" element

### insertNewListener

    Listener insertNewListener(int i)

  Inserts and returns a new empty value (as xml) as the ith "listener" element

### addNewListener

    Listener addNewListener()

  Appends and returns a new empty value (as xml) as the last "listener" element

### removeListener

    void removeListener(int i)

  Removes the ith "listener" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD